Package com.complexible.stardog.metadata

# Enum Class MetaProperty.Flag

java.lang.Object
java.lang.Enum<MetaProperty.Flag>
com.complexible.stardog.metadata.MetaProperty.Flag

All Implemented Interfaces:
  `Serializable`, `Comparable<MetaProperty.Flag>`, `Constable`

Enclosing class:
  `MetaProperty<T>`

protected static enum MetaProperty.Flag extends Enum<MetaProperty.Flag>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CREATE`
  `DATABASE`
  `DISK`
  `MEMORY`
  `READ`
  `SECURE`
  `SERVER`
  `TEMPORARY`
  `WRITE`
  `WRITE_ONLINE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static MetaProperty.Flag`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static MetaProperty.Flag[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### READ

    public static final MetaProperty.Flag READ

  - ### WRITE

    public static final MetaProperty.Flag WRITE

  - ### WRITE_ONLINE

    public static final MetaProperty.Flag WRITE_ONLINE

  - ### CREATE

    public static final MetaProperty.Flag CREATE

  - ### MEMORY

    public static final MetaProperty.Flag MEMORY

  - ### DISK

    public static final MetaProperty.Flag DISK

  - ### DATABASE

    public static final MetaProperty.Flag DATABASE

  - ### SECURE

    public static final MetaProperty.Flag SECURE

  - ### TEMPORARY

    public static final MetaProperty.Flag TEMPORARY

  - ### SERVER

    public static final MetaProperty.Flag SERVER

- ## Method Details

  - ### values

    public static MetaProperty.Flag[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static MetaProperty.Flag valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null